xml-xindice-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Wei Ding" <Wei.D...@nicta.com.au>
Subject RE: Can't run Example1.java
Date Wed, 21 Apr 2004 00:16:20 GMT
Thanks Vadim, the problem is in the CLASSPATH. I didn't extract
xindice-1.1b4.jar from xml-xindice-1.1b4-jar.zip and add it to
CLASSPATH. When I found the example need a xindice jar file, I didn't
realize this file is in xml-xindice-1.1b4-jar.zip. So I used the file in
xml-xindice-1.0.zip.

-----Original Message-----
From: Vadim Gritsenko [mailto:vadim@reverycodes.com] 
Sent: Wednesday, 21 April 2004 2:38 AM
To: xindice-users@xml.apache.org
Subject: Re: Can't run Example1.java

Wei Ding wrote:

> I can run JSP example in xindice-1.1b4\java\examples\addressbook. But 
> I can not run the Example1.java in xindice-1.1b4\java\examples\guide.
>
>  
>
> My configuration:
>
> Windows XP Pro
>
> J2SDK 1.4.2_04
>
> Xindice 1.1b4
>
> Tomcat 5.0.18
>
>  
>
> I can compile Example1.java. But when I run it, the errors come out:
>
>  
>
>       trying to register database
>
>       Exception in thread "main" java.lang.AbstractMethodError:
>
> <>org.apache.xindice.cli
>       ent.xmldb.DatabaseImpl.getNames()[Ljava/lang/String;


Seems like mismatch between xmldb API version and driver implementation 
class. Check your classpath, see that there is no outdated xmldb API 
anywhere in the classpath.

Vadim



Mime
View raw message